(ns com.oly.static-sites.do-blog.pages.chess.vstate
  (:require [reagent.core :as r]))


(def black-viking-rook "♜")
(def black-viking-king "♚")

(defonce game-state
  (r/atom {:player-one {}
           :player-two {}
           :board []}))

(def viking-start-state
  [{:character black-viking-king
    :colour :white
    :type :king
    :start-pos [6 6]}

   {:character black-viking-rook
    :colour :white
    :type :knight
    :start-pos [5 6]}
   {:character black-viking-rook
    :colour :white
    :type :knight
    :start-pos [7 6]}
   {:character black-viking-rook
    :colour :white
    :type :knight
    :start-pos [6 5]}
   {:character black-viking-rook
    :colour :white
    :type :knight
    :start-pos [6 7]}

{:character black-viking-rook
    :colour :white
    :type :knight
    :start-pos [5 7]}
{:character black-viking-rook
    :colour :white
    :type :knight
    :start-pos [7 7]}
{:character black-viking-rook
    :colour :white
    :type :knight
    :start-pos [5 5]}
{:character black-viking-rook
    :colour :white
    :type :knight
    :start-pos [7 5]}

   {:character black-viking-rook
    :colour :white
    :type :knight
    :start-pos [4 6]}
   {:character black-viking-rook
    :colour :white
    :type :knight
    :start-pos [8 6]}
   {:character black-viking-rook
    :colour :white
    :type :knight
    :start-pos [6 4]}
   {:character black-viking-rook
    :colour :white
    :type :knight
    :start-pos [6 8]}

{:character black-viking-rook
    :colour :black
    :type :knight
    :start-pos [1 4]}
{:character black-viking-rook
    :colour :black
    :type :knight
    :start-pos [1 5]}
{:character black-viking-rook
    :colour :black
    :type :knight
    :start-pos [1 6]}
{:character black-viking-rook
    :colour :black
    :type :knight
    :start-pos [1 7]}
{:character black-viking-rook
    :colour :black
    :type :knight
    :start-pos [1 8]}
{:character black-viking-rook
    :colour :black
    :type :knight
    :start-pos [2 6]}



{:character black-viking-rook
    :colour :black
    :type :knight
    :start-pos [11 4]}
{:character black-viking-rook
    :colour :black
    :type :knight
    :start-pos [11 5]}
{:character black-viking-rook
    :colour :black
    :type :knight
    :start-pos [11 6]}
{:character black-viking-rook
    :colour :black
    :type :knight
    :start-pos [11 7]}
{:character black-viking-rook
    :colour :black
    :type :knight
    :start-pos [11 8]}
{:character black-viking-rook
    :colour :black
    :type :knight
    :start-pos [10 6]}



{:character black-viking-rook
    :colour :black
    :type :knight
    :start-pos [4 1]}
{:character black-viking-rook
    :colour :black
    :type :knight
    :start-pos [5 1]}
{:character black-viking-rook
    :colour :black
    :type :knight
    :start-pos [6 1]}
{:character black-viking-rook
    :colour :black
    :type :knight
    :start-pos [7 1]}
{:character black-viking-rook
    :colour :black
    :type :knight
    :start-pos [8 1]}
{:character black-viking-rook
    :colour :black
    :type :knight
    :start-pos [6 2]}


{:character black-viking-rook
    :colour :black
    :type :knight
    :start-pos [4 11]}
{:character black-viking-rook
    :colour :black
    :type :knight
    :start-pos [5 11]}
{:character black-viking-rook
    :colour :black
    :type :knight
    :start-pos [6 11]}
{:character black-viking-rook
    :colour :black
    :type :knight
    :start-pos [7 11]}
{:character black-viking-rook
    :colour :black
    :type :knight
    :start-pos [8 11]}
{:character black-viking-rook
    :colour :black
    :type :knight
    :start-pos [6 10]}
   ])

